#ifndef __IDENT_H__
#define __IDENT_H__


#include <stdio.h>
#ifdef WIN32
#include <xom.h>
#include <usr_caDefs.h>
#else /* WIN32 */
#include <cmip/xom.h>
#include <tmn_agent/usr_caDefs.h>
#endif /* WIN32 */


extern ca_ident_t cfs_system__id ;
extern ca_ident_t cfsFile_cfs__id ;
extern ca_ident_t cfsDir_cfs__id ;
extern ca_ident_t cfsFile_cfsDir__id ;
extern ca_ident_t logRecord_log__id ;
extern ca_ident_t discriminator_system__id ;
extern ca_ident_t log_system__id ;
extern ca_ident_t cfsId__id ;
extern ca_ident_t cfsName__id ;
extern ca_ident_t cfsAutoUpdate__id ;
extern ca_ident_t objectClass__id ;
extern ca_ident_t nameBinding__id ;
extern ca_ident_t packages__id ;
extern ca_ident_t allomorphs__id ;
extern ca_ident_t cfsFilePermissions__id ;
extern ca_ident_t probableCause__id ;
extern ca_ident_t perceivedSeverity__id ;
extern ca_ident_t managedObjectClass__id ;
extern ca_ident_t managedObjectInstance__id ;
extern ca_ident_t eventType__id ;
extern ca_ident_t logRecordId__id ;
extern ca_ident_t loggingTime__id ;
extern ca_ident_t specificProblems__id ;
extern ca_ident_t backedUpStatus__id ;
extern ca_ident_t backUpObject__id ;
extern ca_ident_t trendIndication__id ;
extern ca_ident_t thresholdInfo__id ;
extern ca_ident_t stateChangeDefinition__id ;
extern ca_ident_t monitoredAttributes__id ;
extern ca_ident_t proposedRepairActions__id ;
extern ca_ident_t eventTime__id ;
extern ca_ident_t notificationIdentifier__id ;
extern ca_ident_t correlatedNotifications__id ;
extern ca_ident_t additionalText__id ;
extern ca_ident_t additionalInformation__id ;
extern ca_ident_t attributeValueChangeDefinition__id ;
extern ca_ident_t sourceIndicator__id ;
extern ca_ident_t attributeIdentifierList__id ;
extern ca_ident_t discriminatorId__id ;
extern ca_ident_t discriminatorConstruct__id ;
extern ca_ident_t administrativeState__id ;
extern ca_ident_t operationalState__id ;
extern ca_ident_t availabilityStatus__id ;
extern ca_ident_t startTime__id ;
extern ca_ident_t stopTime__id ;
extern ca_ident_t intervalsOfDay__id ;
extern ca_ident_t weekMask__id ;
extern ca_ident_t schedulerName__id ;
extern ca_ident_t destination__id ;
extern ca_ident_t activeDestination__id ;
extern ca_ident_t backUpDestinationList__id ;
extern ca_ident_t confirmedMode__id ;
extern ca_ident_t logId__id ;
extern ca_ident_t logFullAction__id ;
extern ca_ident_t maxLogSize__id ;
extern ca_ident_t currentLogSize__id ;
extern ca_ident_t numberOfRecords__id ;
extern ca_ident_t capacityAlarmThreshold__id ;
extern ca_ident_t attributeList__id ;
extern ca_ident_t relationshipChangeDefinition__id ;
extern ca_ident_t securityAlarmCause__id ;
extern ca_ident_t securityAlarmSeverity__id ;
extern ca_ident_t securityAlarmDetector__id ;
extern ca_ident_t serviceUser__id ;
extern ca_ident_t serviceProvider__id ;
extern ca_ident_t systemId__id ;
extern ca_ident_t systemTitle__id ;
extern ca_ident_t usageState__id ;
extern ca_ident_t supportedFeatures__id ;
extern ca_ident_t cfsUpdateSystem__id ;
extern ca_ident_t cfsUpdateFile__id ;


#endif /* __IDENT_H__ */

